#include "chdecl.h"
void CH_codegen_cgevery(current, sched, cop)
#define ARGUMENTS 10
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb7;
    case 4: goto c9;
    case 5: goto cb9;
    case 6: goto c10;
    case 7: goto c11;
    case 8: goto cb19;
    case 9: goto c20;
    case 10: goto cb27;
    case 11: goto c28;
    case 12: goto cb29;
    case 13: goto c30;
    case 14: goto cb31;
    case 15: goto c33;
    case 16: goto cb33;
    case 17: goto c35;
    case 18: goto cb35;
    case 19: goto c36;
    case 20: goto cb56;
    case 21: goto c58;
    case 22: goto c61;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* reveal 3.0.3 , 14 */
  if (14 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* lookup_at 4 3.0.2 =(0) */
  if ( !((ch_t = REF(3)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(4).value,0);
  REF(4).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 5 4 */
  if((ch_returncode = (REF(4).tsdr->copy)(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = datarepmap[REF(4).tsdr->number];
  current->ip = 3;
cb7:
/* call 3.2.4.4 5 6 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(5),
          arguments[2] = DEF(6),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c8:
c9:
  current->ip = 5;
cb9:
/* call 3.2.4.6 5 7 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(5),
          arguments[2] = DEF(7),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c10:
/* call 3.2.3.16 7 8 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(7),
          arguments[2] = DEF(8),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c11:
/* noop */
  
/* reveal 8.2 , 7 */
  if (7 != REF(8)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* new_record 9 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).value = ch_val; REF(9).tsdr = & dr_record;
/* enum_lit 9.0 , 54 */
  REF(9)DOT(0).value.enumeration = 54;
  REF(9)DOT(0).tsdr = & dr_enumeration;
/* new_table 9.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(9)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 10 6 */
  if((ch_returncode = (REF(6).tsdr->copy)(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val;
  REF(10).tsdr = datarepmap[REF(6).tsdr->number];
/* insert 9.1 10 */
  if ((ch_returncode = insertfunc(DEF(9)DOT(1),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 8;
cb19:
/* call 3.2.3.11 8.2.0 3.1 3.2 11 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(11),
          arguments[1] = DEF(8)DOT(2)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(11),
          arguments[4+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c20:
/* unite 9.2 11 , 12 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(11),sched,12)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 9 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(9)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* lookup_at 12 3.0.2 =(1) */
  if (1 >= (ch_t = REF(3)DOT(0)DOT(2).value.table)->size) goto ch_notfound;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(12).value,1);
  REF(12).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 13 12 */
  if((ch_returncode = (REF(12).tsdr->copy)(& ch_val, REF(12).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).value = ch_val;
  REF(13).tsdr = datarepmap[REF(12).tsdr->number];
  current->ip = 10;
cb27:
/* call 3.2.4.4 13 14 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(13),
          arguments[2] = DEF(14),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c28:
/* move 15 14 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15) = REF(14);
  REF(14).tsdr = & dr_bottom;
  current->ip = 12;
cb29:
/* call 3.2.4.6 13 16 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(13),
          arguments[2] = DEF(16),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c30:
/* enum_lit 17 , 0 */
  REF(17).value.enumeration = 0;
  REF(17).tsdr = & dr_enumeration;
  current->ip = 14;
cb31:
/* call 3.2.3.10 3.0.3.0 3.2 16 17 18 15 19 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(10),
          arguments[1] = DEF(3)DOT(0)DOT(3)DOT(0),
          arguments[2] = DEF(3)DOT(2),
          arguments[3] = DEF(16),
          arguments[4] = DEF(17),
          arguments[5] = DEF(18),
          arguments[6] = DEF(15),
          arguments[7] = DEF(19),
          arguments[7+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c32:
c33:
  current->ip = 16;
cb33:
/* call 3.2.4.7 20 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(7),
          arguments[1] = DEF(20),
          arguments[1+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c34:
c35:
  current->ip = 18;
cb35:
/* call 3.2.4.5 3.0.3.0.1 3.0.3.0.0 21 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(5),
          arguments[1] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(1),
          arguments[2] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),
          arguments[3] = DEF(21),
          arguments[3+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c36:
/* noop */
  
/* new_record 22 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val; REF(22).tsdr = & dr_record;
/* enum_lit 22.0 , 1 */
  REF(22)DOT(0).value.enumeration = 1;
  REF(22)DOT(0).tsdr = & dr_enumeration;
/* new_table 22.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(22)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 23 20 */
  if((ch_returncode = (REF(20).tsdr->copy)(& ch_val, REF(20).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = datarepmap[REF(20).tsdr->number];
/* insert 22.1 23 */
  if ((ch_returncode = insertfunc(DEF(22)DOT(1),DEF(23),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 22.1 21 */
  if ((ch_returncode = insertfunc(DEF(22)DOT(1),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 22.2 24 , 0 */
  if ((ch_returncode = che_unite(DEF(22)DOT(2),DEF(24),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 22 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(22)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 22 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val; REF(22).tsdr = & dr_record;
/* enum_lit 22.0 , 55 */
  REF(22)DOT(0).value.enumeration = 55;
  REF(22)DOT(0).tsdr = & dr_enumeration;
/* new_table 22.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(22)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 22.1 6 */
  if ((ch_returncode = insertfunc(DEF(22)DOT(1),DEF(6),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 22.1 20 */
  if ((ch_returncode = insertfunc(DEF(22)DOT(1),DEF(20),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 22.2 24 , 0 */
  if ((ch_returncode = che_unite(DEF(22)DOT(2),DEF(24),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 22 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(22)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
  current->ip = 20;
cb56:
/* call 19 3.2 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(19),
          arguments[1] = DEF(3)DOT(2),
          arguments[1+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c58:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c61:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
